## org.apache.poi.hdgf.pointers
Class Pointer

    java.lang.Object
      org.apache.poi.hdgf.pointers.Pointer

Direct Known Subclasses:
  PointerV6

    public abstract class Pointer

extends java.lang.Object

Base class of pointers, which hold metadata and offsets about blocks elsewhere in the file

Field Summary
`protected int` `address`
`protected short` `format`
`protected int` `length`
`protected int` `offset`
`protected int` `type`

Constructor Summary
`Pointer()`

Method Summary
`abstract boolean` `destinationCompressed()`
`abstract boolean` `destinationHasChunks()`
`abstract boolean` `destinationHasPointers()`
`abstract boolean` `destinationHasStrings()`
`int` `getAddress()`
`short` `getFormat()`
`int` `getLength()`
`int` `getOffset()`
`abstract int` `getSizeInBytes()`
`int` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected int type

### address

    protected int address

### offset

    protected int offset

### length

    protected int length

### format

    protected short format

Constructor Detail

### Pointer

    public Pointer()

Method Detail

### getAddress

    public int getAddress()

### getFormat

    public short getFormat()

### getLength

    public int getLength()

### getOffset

    public int getOffset()

### getType

    public int getType()

### getSizeInBytes

    public abstract int getSizeInBytes()

### destinationHasStrings

    public abstract boolean destinationHasStrings()

### destinationHasPointers

    public abstract boolean destinationHasPointers()

### destinationHasChunks

    public abstract boolean destinationHasChunks()

### destinationCompressed

    public abstract boolean destinationCompressed()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.